Qt 5.6 | Qt Quick | C++ Classes | QQuickAsyncImageProvider

Qt 5.6.3 Reference Documentation

# QQuickAsyncImageProvider Class

The QQuickAsyncImageProvider class provides an interface for for asynchronous control of QML image requests. More...

Header: | #include <QQuickAsyncImageProvider>
qmake: | QT += quick
Since: | Qt 5.6
Inherits: | QQuickImageProvider

- List of all members, including inherited members

## Public Functions

| QQuickAsyncImageProvider()
virtual | ~QQuickAsyncImageProvider()
virtual QQuickImageResponse * | requestImageResponse(const QString &id, const QSize &requestedSize) = 0

- 5 public functions inherited from QQuickImageProvider

## Detailed Description

The QQuickAsyncImageProvider class provides an interface for for asynchronous control of QML image requests.

See also QQuickImageProvider.

## Member Function Documentation

### QQuickAsyncImageProvider::QQuickAsyncImageProvider()

Default constructs an instance of QQuickAsyncImageProvider.

### `[virtual]` QQuickAsyncImageProvider::~QQuickAsyncImageProvider()

Destroys the instance of QQuickAsyncImageProvider. The destructor is virtual.

### `[pure virtual]` QQuickImageResponse *QQuickAsyncImageProvider::requestImageResponse(const QString &id, const QSize &requestedSize)

Implement this method to return the job that will provide the texture with id.

The id is the requested image source, with the "image:" scheme and provider identifier removed. For example, if the image source was "image://myprovider/icons/home", the given id would be "icons/home".

The requestedSize corresponds to the Image::sourceSize requested by an Image item. If requestedSize is a valid size, the image returned should be of that size.

Note: this method may be called by multiple threads, so ensure the implementation of this method is reentrant.